using System;
using System.IO;
using System.Net;

namespace cviceni1
{
	/// <summary>
	/// Summary description for Class1.
	/// </summary>
	class HTMLWebRequestClient
	{

		// This method requests the home page content for the specified server.
		private static string GetPage(string pageAddress) 
		{
			string page = "";
			WebRequest webrequest = WebRequest.Create(pageAddress);
			WebResponse webresponse = webrequest.GetResponse();
			Stream stream = webresponse.GetResponseStream();
			StreamReader sr = new StreamReader(stream);
			string line = sr.ReadLine();
			while (line != null) 
			{
				page += line;
				line = sr.ReadLine();
			}
			return page;
		}
    
		public static void Main(string[] args) 
		{
			string host;
			int port = 80;

			if (args.Length == 0)
				//Pokud nejsou dn parametry, tak pouije localhost zznam
				host = "http://www.cs.vsb.cz";
			else
				host = args[0];
        
			//Provede samotn naten kdu HTML strnky, kter je 
			string result = GetPage(host); 
			Console.WriteLine(result);
		}
	}
}
